kdk::Parmscontroller(3)

NAME
kdk::Parmscontroller - The Parmscontroller class.

SYNOPSIS

#include <parmscontroller.h>

Inherits QObject.

  Public Types

enum Parm { PM_TabBarHeight, PM_PushButtonHeight, PM_ToolButtonHeight, PM_SearchLineEditHeight, PM_PasswordEditHeight, PM_NavigationBatHeight, PM_TagHeight, PM_SearchLineEditItemHeight, PM_SliderHandleRadius, PM_SliderNodeRadius, PM_BadgeHeight, PM_IconbarHeight, PM_IconBarIconSize, PM_WindowButtonBarSize, PM_NavigationBatInterval, PM_Widget_SideWidget_Width, PM_InputDialog_Height, PM_InputDialog_Width, PM_InputDialog_Label_Spacing, PM_InputDialog_Widget_Spacing, PM_InputDialog_Button_Spacing, PM_InputDialog_Bottom_Spacing, PM_InputDialog_Right_Spacing }

  Signals

void modeChanged (bool)

  Static Public Member Functions

static Parmscontroller * self ()
static bool isTabletMode ()
static int parm (Parm p)

Detailed Description

The Parmscontroller class.

Since
    2.0.2.1

Author

Generated automatically by Doxygen for LIBKYSDK-APPLICATIONS from the source code.